use crate::shared_enums::ContentType;

pub struct Response {
    first_line: String,
    headers: Vec<ResponseHeader>,
    data: Vec<u8>,
}

pub enum ResponseHeader {
    ContentLength(u32),
    ContentType(ContentType),
    CacheControl(CacheControl),
}

pub enum CacheControl {
    NoStore,
}
